PasswordAuthentication (Java SE 10 & JDK 10 )
Keywords: java.net.PasswordAuthentication class

Module java.base
Package java.net

## Class PasswordAuthentication

- java.lang.Object
- - java.net.PasswordAuthentication

-     public final class PasswordAuthentication
      extends Object

  The class PasswordAuthentication is a data holder that is used by Authenticator. It is simply a repository for a user name and a password.
  Since:
    1.2
  See Also:
    `Authenticator`, `Authenticator.getPasswordAuthentication()`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PasswordAuthentication​(String userName, char[] password)` | Creates a new `PasswordAuthentication` object from the given user name and password.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char[]` | `getPassword()` | Returns the user password.
    `String` | `getUserName()` | Returns the user name.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordAuthentication

          public PasswordAuthentication​(String userName,
                                        char[] password)

      Creates a new `PasswordAuthentication` object from the given user name and password.

      Note that the given user password is cloned before it is stored in the new `PasswordAuthentication` object.

      Parameters:
        `userName` - the user name
        `password` - the user's password

  - ### Method Detail

    - #### getUserName

          public String getUserName()

      Returns the user name.
      Returns:
        the user name

    - #### getPassword

          public char[] getPassword()

      Returns the user password.

      Note that this method returns a reference to the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

      Returns:
        the password